- Qt 6.8
- Qt Core
- C++ Classes
- QRegularExpression
- Qt 6.8.3 Reference Documentation

# Obsolete Members for QRegularExpression

The following members of class QRegularExpression are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(since 6.0, deprecated)` QRegularExpressionMatchIterator | globalMatch(QStringView subjectView, qsizetype offset = 0, QRegularExpression::MatchType matchType = NormalMatch, QRegularExpression::MatchOptions matchOptions = NoMatchOption) const
`(since 6.0, deprecated)` QRegularExpressionMatch | match(QStringView subjectView, qsizetype offset = 0, QRegularExpression::MatchType matchType = NormalMatch, QRegularExpression::MatchOptions matchOptions = NoMatchOption) const

## Member Function Documentation

### `[since 6.0, deprecated]` QRegularExpressionMatchIterator QRegularExpression::globalMatch(QStringView subjectView, qsizetype offset = 0, QRegularExpression::MatchType matchType = NormalMatch, QRegularExpression::MatchOptions matchOptions = NoMatchOption) const

This function is deprecated. We strongly advise against using it in new code.

This is an overloaded function.

Use globalMatchView() instead.

This function was introduced in Qt 6.0.

### `[since 6.0, deprecated]` QRegularExpressionMatch QRegularExpression::match(QStringView subjectView, qsizetype offset = 0, QRegularExpression::MatchType matchType = NormalMatch, QRegularExpression::MatchOptions matchOptions = NoMatchOption) const

This function is deprecated. We strongly advise against using it in new code.

This is an overloaded function.

Use matchView() instead.

This function was introduced in Qt 6.0.